osl::search::analyzer::LogWriter Class Reference

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Types | Public Member Functions | List of all members
osl::search::analyzer::LogWriter Class Referenceabstract

探索ログ log を書き出す抽象クラス. More...

`#include <logWriter.h>`

Inheritance diagram for osl::search::analyzer::LogWriter:
[legend]

## Public Types
enum | NodeType { NORMAL =0, IMPORTANT =1, ABNORMAL =2 }

## Public Member Functions
| LogWriter ()
virtual | ~LogWriter ()
virtual void | showNode (Player turn, const SimpleHashRecord *record, int limit, NodeType type) const =0
virtual void | showNodeQuiescence (Player turn, const SimpleHashRecord *record, int limit, NodeType type) const =0
virtual void | showArc (const SimpleHashRecord *from, const SimpleHashRecord *to, const MoveLogProb &move, bool important) const =0
virtual void | showComment (const char *) const

## Detailed Description

探索ログ log を書き出す抽象クラス.

See Also
  DotWriter
  OutlineWriter (未定義)

Definition at line 22 of file logWriter.h.

## Member Enumeration Documentation

enum osl::search::analyzer::LogWriter::NodeType

Enumerator
NORMAL |
IMPORTANT |
ABNORMAL |

Definition at line 25 of file logWriter.h.

## Constructor & Destructor Documentation

osl::search::analyzer::LogWriter::LogWriter | ( | ) |  |

Definition at line 6 of file logWriter.cc.

osl::search::analyzer::LogWriter::~LogWriter | ( | ) |  |
| virtual

Definition at line 11 of file logWriter.cc.

## Member Function Documentation

virtual void osl::search::analyzer::LogWriter::showArc | ( | const SimpleHashRecord * | from,
|  | const SimpleHashRecord * | to,
|  | const MoveLogProb & | move,
|  | bool | important
| ) |  | const
| pure virtual

Implemented in osl::search::analyzer::DotWriter.

virtual void osl::search::analyzer::LogWriter::showComment | ( | const char * | ) |  | const
| inlinevirtual

Reimplemented in osl::search::analyzer::DotWriter.

Definition at line 39 of file logWriter.h.

virtual void osl::search::analyzer::LogWriter::showNode | ( | Player | turn,
|  | const SimpleHashRecord * | record,
|  | int | limit,
|  | NodeType | type
| ) |  | const
| pure virtual

Parameters

  important | ユーザが指定した読筋を指定する場合 true

Implemented in osl::search::analyzer::DotWriter.

virtual void osl::search::analyzer::LogWriter::showNodeQuiescence | ( | Player | turn,
|  | const SimpleHashRecord * | record,
|  | int | limit,
|  | NodeType | type
| ) |  | const
| pure virtual

Implemented in osl::search::analyzer::DotWriter.

The documentation for this class was generated from the following files:

- logWriter.h
- logWriter.cc